### Method

# Hex Widget paste_from_clipboard

#### Declaration

    void
    hex_widget_paste_from_clipboard (
      HexWidget* gh
    )

#### Description

Paste clipboard data to widget at position of cursor.

Since 4.6, the behaviour of this method has changed. With 4.4 and earlier, paste operations always inserted data into the payload, even if insert mode was disabled.

Commencing in 4.6, if insert mode is not enabled, data will be overwritten by default with a paste operation, and possibly truncated in the event the payload is not large enough to absorb the paste data. This is to avoid increasing the payload size of a hex document when insert mode is disabled.